# This file created by conda-build 3.17.8
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/bf47ff06-477c-439d-7eb3-109d06a7a24d/volume/rsync-recipes/pywavelets-1.0.2-python_3.6-on-osx, last modified Mon Mar 11 14:17:25 2019
# ------------------------------------------------

package:
    name: pywavelets
    version: 1.0.2
source:
    fn: PyWavelets-1.0.2.tar.gz
    sha256: 095b1539992230e6ee8a3799ab51793f2d86923bd0fc05c4fd717ae4afc95b71
    url: https://github.com/PyWavelets/pywt/archive/v1.0.2.tar.gz
build:
    number: '0'
    script: /opt/concourse/worker/volumes/live/bf47ff06-477c-439d-7eb3-109d06a7a24d/volume/pywavelets_1552335420311/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
        -m pip install . --no-deps --ignore-installed -vvv
    string: py36h1d22016_0
requirements:
    build:
        - cctools 895 1
        - clang 4.0.1 1
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - compiler-rt 4.0.1 hcfea43d_1
        - ld64 274.2 1
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - llvm 4.0.1 1
        - llvm-lto-tapi 4.0.1 1
    host:
        - blas 1.0 mkl
        - ca-certificates 2019.1.23 0
        - certifi 2019.3.9 py36_0
        - cython 0.29.6 py36h0a44026_0
        - intel-openmp 2019.1 144
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libedit 3.1.20181209 hb402a30_0
        - libffi 3.2.1 h475c297_4
        - libgfortran 3.0.1 h93005f0_2
        - mkl 2019.1 144
        - ncurses 6.1 h0a44026_1
        - numpy 1.11.3 py36hacdab7b_12
        - numpy-base 1.11.3 py36h6575580_12
        - openssl 1.1.1b h1de35cc_1
        - pip 19.0.3 py36_0
        - python 3.6.8 haf84260_0
        - readline 7.0 h1de35cc_5
        - setuptools 40.8.0 py36_0
        - sqlite 3.26.0 ha441bb4_0
        - tk 8.6.8 ha441bb4_0
        - wheel 0.33.1 py36_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 h1de35cc_3
    run:
        - numpy >=1.11.3,<2.0a0
        - python >=3.6,<3.7.0a0
test:
    import:
        - pywt
    requires:
        - nose
about:
    description: 'PyWavelets is a free Open Source library for wavelet transforms
        in Python.

        Wavelets are mathematical basis functions that are localized in both time
        and frequency.

        Wavelet transforms are time-frequency transforms employing wavelets. They
        are similar to

        Fourier transforms, the difference being that Fourier transforms are localized
        only in

        frequency instead of in time and frequency.

        '
    dev_url: https://github.com/PyWavelets/pywt
    doc_source_url: https://github.com/PyWavelets/pywt/tree/master/doc
    doc_url: http://pywavelets.readthedocs.io/en/latest/
    home: https://github.com/PyWavelets/pywt
    license: MIT
    license_file: LICENSE
    summary: Discrete Wavelet Transforms in Python.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - grlee77
        - jakirkham
        - ocefpaf
